VoiceDock Docs
ApiOrganization

Create organization

Create a new organization. If `parent_org_id` is provided, creates a child organization that bills to the parent (for whitelabel use cases). The API key for the new organization is only returned once at creation time.

POST
/organizations

Create a new organization. If parent_org_id is provided, creates a child organization that bills to the parent (for whitelabel use cases). The API key for the new organization is only returned once at creation time.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "Dentist Office"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "parent_org_id": "9721bb3f-1469-4c27-9bad-313667cb91ca",
  "api_key": "fl_a1b2c3d4e5f6...",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}